from .system_member import SystemMember
from dataclasses import field

class Jumpgate(SystemMember):
  range: int
  faction: str
  systems: list = field(default_factory=list)
  
  def update(self, d):
    self.setlst('systems', d, 'connectedSystems', 'symbol')
    self.seta('faction', d, 'factionSymbol')
    self.seta('range', d, 'jumpRange')
    
  @classmethod
  def ext(self):
    return 'jmp'
  
  def path(self):
    sector, system, _ = self.symbol.split('-')
    return f'atlas/{sector}/{system[0:1]}/{system}/{self.symbol}.{self.ext()}'
